%define prerel %nil
%def_with sys_ffmpeg

Name: veejay
Version: 0.5.1
Release: alt0.5%prerel

Summary: Veejay - Video Mixing/Editing Instrument
Summary(ru_RU.KOI8-R): Veejay -- ,   "" 
Group: Video
License: GPL
Url: http://%name.sourceforge.net

Source: http://prdownload.sourceforge.net/%name/%name-%version%prerel.tar.bz2

Requires: lib%name = %version-%release

%if_with sys_ffmpeg
%define ffmpeg_ver 0.4.8
BuildPreReq: ffmpeg-devel >= %ffmpeg_ver
%endif

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Mon Oct 20 2003
BuildRequires: XFree86-devel XFree86-libs directfb-devel esound-devel gcc-c++ glib-devel glibc-devel-static gtk-doc libSDL-devel libalsa-devel libaudiofile-devel libdirectfb libdv-devel libjpeg-devel liblame libogg libvorbis libxml2-devel nasm pkgconfig zlib-devel

%description
Veejay is a video tracker/editing tool and visual instrument for Linux,
suitable for live performances and editing environemnts

The project emphasises direct (user) interaction, it is possible to
navigate through video samples, define various types of looping,
increase and decrease playback speed, navigate through the effect chain
to apply a chain  of effects using the keyboard while the interface
keeps track of what you are doing.

It supports multiple capture/tv cards (video4linux devices), vloopback
and yuv4mpeg.

%description -l ru_RU.KOI8-R
Veejay --     ,   "" 
,      .

       :)
    ,    
 ,     
,        
 ţ     .

%package -n lib%name
Summary: Shared libraries for Veejay
Summary(ru_RU.KOI8-R):    Veejay
Group: System/Libraries

%description 
This package provides shared libraries needed to run Veejay.

%description -l ru_RU.KOI8-R -n lib%name
    ,    Veejay.

%if_without sys_ffmpeg
%def_with lame
%def_with vorbis
%def_with a52dec
%def_without faad
%endif

%prep
%setup -q -n %name-%version%prerel

%build
%if_without sys_ffmpeg
pushd ffmpeg
%configure \
%ifnarch i686 athlon
    --disable-mmx \
%endif
    --enable-shared \
%if_with lame
    --enable-mp3lame \
%endif
%if_with vorbis
    --enable-vorbis \
%endif
%if_with a52dec
    --enable-a52bin \
%endif
%if_with faad
    --enable-faadbin
%endif

# SMP-incompftible build
%make
popd
%endif

%configure \
	--disable-static \
	--enable-xfree-ext \
%ifarch %ix86
	--enable-simd-accel \
%endif
	--enable-gtk-doc
	
%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%doc AUTHORS README*
%doc doc/{*.TXT,*.html} 

%files -n lib%name
%_libdir/*.so.*

%changelog
* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- 0.5.1

* Fri Jul 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- 0.4.1

* Mon Jun 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt0.5
- new version.
- summary, description by avp.

* Sat May 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt0.5rc8
- First build for Sisyphus.


